Summary:        Userspace utilities that manage XFS filesystems
Name:           xfsprogs
Version:        6.6.0
Release:        5%{?dist}
License:        GPL+ and LGPLv2+
URL:            https://xfs.wiki.kernel.org
Source0:        https://mirrors.edge.kernel.org/pub/linux/utils/fs/xfs/xfsprogs/%{name}-%{version}.tar.xz
Patch3000:      xfsprogs-anolis-add-atomic-write-support.patch

BuildRequires:  libattr-devel libuuid-devel libedit-devel libicu-devel
BuildRequires:  inih-devel userspace-rcu-devel libblkid-devel systemd systemd-devel
BuildRequires:  make gcc libtool gettext
Provides:       xfs-cmds xfsprogs-qa-devel
Suggests:       xfsprogs-xfs_scrub

%description
This package provides userspace utilities that manage XFS filesystems.

%package xfs_scrub
Summary:        Check and repair the contents of a mounted XFS filesystem
Requires:       xfsprogs = %{version}-%{release} python3
Requires:       util-linux python3

%description xfs_scrub
xfs_scrub attempts to check and repair all metadata in a mounted XFS 
filesystem.

WARNING!  This program is EXPERIMENTAL, which means that its behavior 
and interface could change at any time!

%package devel
Summary:        Development files for XFS filesystem-specific programs
Requires:       xfsprogs = %{version}-%{release}
Requires:       libuuid-devel

%description devel
This package provides header files and libraries for developing XFS 
filesystem-specific programs.

%prep
%autosetup -p1

%build
export tagname=CC

%configure \
        --enable-editline=yes	\
        --enable-blkid=yes	\
        --enable-lto=no

%make_build

%install
make DIST_ROOT=%{buildroot} PKG_ROOT_SBIN_DIR=%{_sbindir} \
        PKG_ROOT_LIB_DIR=%{_libdir} install install-dev

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_defaultdocdir}/xfsprogs/CHANGES.gz

%find_lang %{name}

%files -f %{name}.lang
%license LICENSES/*
%doc doc/CHANGES doc/CREDITS README
%{_datadir}/xfsprogs/mkfs/*.conf
%{_unitdir}/*
%{_sbindir}/*
%{_libdir}/*.so.*
%dir %{_libexecdir}/xfsprogs
%{_libexecdir}/xfsprogs/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%exclude %{_sbindir}/xfs_scrub*
%exclude %{_libexecdir}/xfsprogs/xfs_scrub*
%exclude %{_mandir}/man8/xfs_scrub*
%exclude %{_mandir}/man8/xfs_scrub_all*
%exclude %{_unitdir}/xfs_scrub*

%files xfs_scrub
%{_unitdir}/xfs_scrub*
%{_sbindir}/xfs_scrub*
%{_libexecdir}/xfsprogs/xfs_scrub*
%{_mandir}/man8/xfs_scrub*
%{_mandir}/man8/xfs_scrub_all*
%{_udevrulesdir}/64-xfs.rules
%{_datadir}/xfsprogs/xfs_scrub_all.cron

%files devel
%dir %{_includedir}/xfs
%{_includedir}/xfs/handle.h
%{_includedir}/xfs/jdm.h
%{_includedir}/xfs/linux.h
%{_includedir}/xfs/xfs.h
%{_includedir}/xfs/xfs_arch.h
%{_includedir}/xfs/xfs_fs.h
%{_includedir}/xfs/xfs_fs_compat.h
%{_includedir}/xfs/xfs_types.h
%{_includedir}/xfs/xfs_format.h
%{_includedir}/xfs/xfs_da_format.h
%{_includedir}/xfs/xfs_log_format.h
%{_includedir}/xfs/xqm.h
%{_libdir}/*.so
%{_mandir}/man2/*
%{_mandir}/man3/*

%changelog
* Fri Dec 20 2024 Rebuild Robot <rebot@opencloudos.org> - 6.6.0-5
- [Type] other
- [DESC] Rebuilt for icu

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.6.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Mon Sep 23 2024 cunshunxia <cunshunxia@tencent.com> - 6.6.0-3
- add systemd-devel buildrequire which contains pkgconf file..

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.6.0-2
- Rebuilt for loongarch release

* Wed Mar 20 2024 Xiaojie Chen <jackxjchen@tencent.com> - 6.6.0-1
- Upgrade to upstream version 6.6.0
- Add atomic write support

* Wed Jan 17 2024 kianli <kianli@tencent.com> - 6.5.0-1
- Upgrade to 6.5.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 rockerzhu <rockerzhu@tencent.com> - 6.4.0-3
- Rebuilt for icu 73.2

* Wed Aug 23 2023 Shuo Wang <abushwang@tencent.com> - 6.4.0-2
- Rebuilt for userspace-rcu 0.14.0

* Wed Aug 16 2023 cunshunxia <cunshunxia@tencent.com> - 6.4.0-1
- upgrade to 6.4.0

* Tue Aug 08 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.3.0-2
- Fix a build error with gettext 0.22

* Wed Jul 12 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.3.0-1
- Upgrade to upstream version 6.3.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.18.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.18.0-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 21 2022 rockerzhu <rockerzhu@tencent.com> - 5.18.0-2
- Don't support inobtcount and bigtime with xfs because of 5.4 kernel

* Thu Jul 14 2022 Xiaojie Chen <jackxjchen@tencent.com> - 5.18.0-1
- Initial build
